package it.openutils.web.filters;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletResponse;


/**
 * Simple webapp filter that disables caching by setting the appropriate headers on the response.
 * @author fgiust
 * @version $Id: NoCachingFilter.java 145 2007-01-04 15:45:45Z fgiust $
 */
public class NoCachingFilter implements Filter
{

    /**
     * {@inheritDoc}
     */
    public void init(FilterConfig filterConfig)
    {
        // unused
    }

    /**
     * {@inheritDoc}
     */
    public void destroy()
    {
        // unused
    }

    /**
     * {@inheritDoc}
     */
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException,
        ServletException
    {
        HttpServletResponse httpResponse = (HttpServletResponse) response;

        httpResponse.setHeader("Cache-Control", "no-cache");
        httpResponse.setDateHeader("Expires", 0);
        httpResponse.setHeader("Pragma", "No-cache");
        chain.doFilter(request, response);
    }
}